[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TNBPages.Insert

Inserts a new page with the given name at the specified position in PageList.

## Declaration

Source position: comctrls.pp line 321

`public procedure TNBPages.Insert(`
`Index: Integer;`
`const S: string`
`); override;`

## Arguments

`Index` |  | Ordinal position where the new page is stored.
`S` |  | Name (Caption) used for the new page instance.

## Description

Insert calls the GetPageClass method in NoteBook to get the class reference used to create the new page. The owner of the page instance is the NoteBook control (or its owner when assigned). The value in S is assigned as the Caption in the TCustomPage instance. The InsertPage method in NoteBook is called to store the TCustomPage instance at the position in Index.

## See also

TStrings.Insert